创建 happyhorse-1.1-r2v 参考生视频任务
curl --request POST \
--url https://api.powertokens.ai/ali/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--header 'X-DashScope-Async: <x-dashscope-async>' \
--data '
{
"model": "happyhorse-1.1-r2v",
"input": {
"prompt": "[Image 1]中身着红色旗袍的女性,镜头先以侧面中景勾勒旗袍修身剪裁与S型曲线,随即切换至低角度仰拍,捕捉她轻抬玉手展开[Image 2]中的折扇的同时,[Image 3]中的流苏耳坠随头部转动轻盈摆动的细节,最后推近至面部特写,定格在她指尖轻点扇骨、眼波流转间的含蓄风情,多视角全方位展现东方韵味。",
"media": [
{
"type": "reference_image",
"url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/mvzfud/hh-v2v-girl.jpg"
},
{
"type": "reference_image",
"url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/fvuihk/hh-v2v2-folding-fan.jpg"
},
{
"type": "reference_image",
"url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/imerii/hh-v2v-earrings.jpg"
}
]
},
"parameters": {
"resolution": "720P",
"ratio": "16:9",
"duration": 5
}
}
'import requests
url = "https://api.powertokens.ai/ali/api/v1/services/aigc/video-generation/video-synthesis"
payload = {
"model": "happyhorse-1.1-r2v",
"input": {
"prompt": "[Image 1]中身着红色旗袍的女性,镜头先以侧面中景勾勒旗袍修身剪裁与S型曲线,随即切换至低角度仰拍,捕捉她轻抬玉手展开[Image 2]中的折扇的同时,[Image 3]中的流苏耳坠随头部转动轻盈摆动的细节,最后推近至面部特写,定格在她指尖轻点扇骨、眼波流转间的含蓄风情,多视角全方位展现东方韵味。",
"media": [
{
"type": "reference_image",
"url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/mvzfud/hh-v2v-girl.jpg"
},
{
"type": "reference_image",
"url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/fvuihk/hh-v2v2-folding-fan.jpg"
},
{
"type": "reference_image",
"url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/imerii/hh-v2v-earrings.jpg"
}
]
},
"parameters": {
"resolution": "720P",
"ratio": "16:9",
"duration": 5
}
}
headers = {
"Content-Type": "<content-type>",
"X-DashScope-Async": "<x-dashscope-async>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Content-Type': '<content-type>',
'X-DashScope-Async': '<x-dashscope-async>',
Authorization: 'Bearer <token>'
},
body: JSON.stringify({
model: 'happyhorse-1.1-r2v',
input: {
prompt: '[Image 1]中身着红色旗袍的女性,镜头先以侧面中景勾勒旗袍修身剪裁与S型曲线,随即切换至低角度仰拍,捕捉她轻抬玉手展开[Image 2]中的折扇的同时,[Image 3]中的流苏耳坠随头部转动轻盈摆动的细节,最后推近至面部特写,定格在她指尖轻点扇骨、眼波流转间的含蓄风情,多视角全方位展现东方韵味。',
media: [
{
type: 'reference_image',
url: 'https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/mvzfud/hh-v2v-girl.jpg'
},
{
type: 'reference_image',
url: 'https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/fvuihk/hh-v2v2-folding-fan.jpg'
},
{
type: 'reference_image',
url: 'https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260424/imerii/hh-v2v-earrings.jpg'
}
]
},
parameters: {resolution: '720P', ratio: '16:9', duration: 5}
})
};
fetch('https://api.powertokens.ai/ali/api/v1/services/aigc/video-generation/video-synthesis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"output": {
"task_status": "PENDING",
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx"
},
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx"
}{
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}阿里巴巴
HappyHorse-1.1-参考生视频
提交一个异步的阿里云 HappyHorse happyhorse-1.1-r2v 参考生视频任务。
提交任务后,请通过 GET /ali/api/v1/tasks/{task_id} 查询任务状态。
POST
/
ali
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
创建 happyhorse-1.1-r2v 参考生视频任务
授权
在请求头中传入 Authorization: Bearer <token>。
请求头
请求内容类型。此参数必须设置为 application/json。
异步处理配置参数。HTTP 请求只支持异步,必须设置为 enable。缺少此请求头将报错:"current user api does not support synchronous calls"。
请求体
application/json
⌘I